<?php
if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }

function poster(){

    global $_LANG;
    global $_CFG;

    setlocale(LC_NUMERIC, 'POSIX');

    //подключим нужные классы
    $inConf     = cmsConfig::getInstance();
    $inCore     = cmsCore::getInstance();       //ядро
    $inPage     = cmsPage::getInstance();       //страница
    $inDB       = cmsDatabase::getInstance();   //база данных
    $inUser     = cmsUser::getInstance();       //пользователь

    cmsCore::loadClass('form');

    //загружаем модель
    $inCore->loadModel('poster');
    $model = new cms_model_poster();
    $_CFG = $model->getDefaultConfig();

    //получаем входные параметры
	$id         = $inCore->request('id', 'int', 0);
	$seolink    = $inCore->request('seolink', 'str', '');
	$do         = $inCore->request('do', 'str', 'view');

	$page       = $inCore->request('page', 'int', 1);

    //Подключаем CSS к странице
	$inPage->addHeadCSS('templates/'.$inConf->template.'/css/poster.css');

    $inPage->addPathway('Афиша', '/poster');

//  ***************************************************************************************************************************************
//  ***************************************************************************************************************************************
//  ***************************************************************************************************************************************
    if($do=='view')
    {
        $inPage->addHeadJS('includes/jqueryui/jquery-ui.min.js');
        $inPage->addHeadJS('includes/jqueryui/jquery.ui.datepicker-ru.min.js');
        $inPage->addHeadJS('includes/jqueryui/init-ui.js');
        $inPage->addHeadCSS('includes/jqueryui/css/smoothness/jquery-ui.min.css');

        if($_SESSION['type_view']=='block')
        {
            $inPage->addHeadJS('components/poster/js/jquery.mosaicflow.js');
            $page=1;
        }

        $perpage = $_SESSION['type_view'] == 'block' ? $_CFG['perpage_block'] : $_CFG['perpage'] ;

        $type_list  = false;
        $type       = false;
        $condition  = '';

        // фильтр
        $filter     = $inCore->request('filter', 'array');
        $reset      = $inCore->request('filter_reset', 'str');

        if($reset)
        {
            $filter = '';
            $_SESSION['item_filter'] = '';
        }

        if($filter||$_SESSION['item_filter'])
        {
            if($filter)
                $_SESSION['item_filter'] = $filter;

            if($_SESSION['item_filter']['date'])
            {
                $date = date('Y-m-d', strtotime($_SESSION['item_filter']['date']));
                $condition.= " AND DATE_FORMAT(s.start_date, '%Y-%m-%d')<='{$date}' AND DATE_FORMAT(s.end_date, '%Y-%m-%d')>='{$date}'";
            }

            if($_SESSION['item_filter']['type_id'])
                $condition.=" AND i.type_id={$_SESSION['item_filter']['type_id']}";

            if($_SESSION['item_filter']['is_premier'])
                $condition.=" AND i.is_premier=1";

            if($_SESSION['item_filter']['age'])
                $condition.=" AND i.info_age<=".$_SESSION['item_filter']['age'];

        }

        $condition.= ' AND 1=1';
        ///////////
        // SORTER
        $sorter         = $inCore->request('sorter', 'str');
        $reset_sorter   = $inCore->request('reset_sorter', 'str');

        if($sorter)
        {
            switch ($sorter) {
                case "id.desc":
                    $_SESSION['item_sorter'] = 'i.id DESC';
                    break;
                case "id.asc":
                    $_SESSION['item_sorter'] = 'i.id ASC';
                    break;
                case "title.asc":
                    $_SESSION['item_sorter'] = 'i.title ASC';
                    break;
                case "title.desc":
                    $_SESSION['item_sorter'] = 'i.title DESC';
                    break;
                default:
                    $_SESSION['item_sorter'] = 'i.id DESC';
            }
        }

        if(!isset($_SESSION['item_sorter']))
        {
             $_SESSION['item_sorter'] = 'i.id DESC';
        }
        //////////

        if($seolink)
        {
            $type = $model->getType(false, $seolink);
            if(!$type) cmsCore::error404();
            $inDB->where='i.is_visible=1 AND i.type_id='.$type['id'].$condition;
            $inPage->addPathway($type['title'], '/poster/'.$type['seo_link']);

            $letters = $model->getAlphaList($type['id']);
        }
        else
        {
            $type = false;
            $inDB->where='i.is_visible=1'.$condition;
        }

        $inDB->order_by = "ORDER BY ".$_SESSION['item_sorter'];
        $inDB->limitPage($page, $perpage);

        $total  = $model->getItemsTotal();
        $items = $model->getItems(($type ? $type : false));

        $type_list = $model->getTypeList();

        $inPage->setTitle('Афиша '.($type ? $type['title'] : ""));
        if($type)
        {
            $inPage->setDescription($type['meta_desc']);
            $inPage->setKeywords($type['meta_key']);
        }

        cmsPage::initTemplate('components', 'com_poster_view')->
            assign('type_list', $type_list)->
            assign('type', $type)->
            assign('items', $items)->
            assign('filter', $_SESSION['item_filter'])->
            assign('total', $total)->
            assign('sorter', $_SESSION['item_sorter'])->
            assign('type_view', $_SESSION['type_view'])->
            assign('pagination', cmsPage::getPagebar($total, $page, $perpage, ($type ? '/poster/'.$type['seo_link'].'/page-%page%':'/poster/page-%page%')))->
            display('com_poster_view.tpl');
    }

    if($do=='view_item')
    {
        $inPage->addHeadJS('components/poster/js/jquery.carouFredSel-6.2.1-packed.js');

        $item = $model->getItem(false, $seolink);
        if(!$item) cmsCore::error404();

        $type = $model->getType($item['type_id']);
        $formdata = cmsForm::getFieldsValues($type ['form_id'], cmsCore::yamlToArray($item['formdata']));

        $inPage->setTitle($item['title']);
        $inPage->addPathway($type['title'], '/poster/'.$type['seo_link']);
        $inPage->addPathway($item['title'], $item['seo_link']);

        $inPage->setDescription($item['meta_desc']);
        $inPage->setKeywords($item['meta_key']);

        $schedules = $model->getSchedules($item['id'], false);
        $all_schedules = $model->getItemAllSchedule($item['id']);

        cmsPage::initTemplate('components', 'com_poster_view_item')->
            assign('item', $item)->
            assign('formsdata', $formdata)->
            assign('type', $type)->
            assign('schedules', $schedules)->
            assign('all_schedules',$all_schedules)->
            assign('is_user', $inUser->id)->
            assign('is_admin', $inUser->is_admin)->
            assign('visitors', $model->getVisitedList($item['id']))->
            assign('visited', $model->checkVisited($item['id']))->
            display('com_poster_view_item.tpl');

        cmsCore::includeComments();
        comments('poster', $item['id']);
    }

    if($do=='add')
    {
        if(!$inUser->id)
            $inCore::error404();

        $inPage->addHeadJS('includes/jqueryui/jquery-ui.min.js');
        $inPage->addHeadJS('includes/jqueryui/jquery.ui.datepicker-ru.min.js');
        $inPage->addHeadJS('includes/jqueryui/init-ui.js');
        $inPage->addHeadCSS('includes/jqueryui/css/smoothness/jquery-ui.min.css');
        $inPage->addHeadJS('includes/jquery/multifile/jquery.multifile.js');

        $item = $inCore->request('item', 'array');

        if($item)
            if($model->validateItem($item))
            {
                $item = $model->saveItem($item);
                $type = $model->getType($item['type_id']);
                cmsCore::redirect('/poster/'.$type['seo_link'].'/'.$item['seo_link']);
            }

        if($id)
        {
            $item = $model->getItem($id);
            if(!$item)
                cmsCore::error404();
            else
            {
                $item['start_date'] = date('d.m.Y', strtotime($item['start_date']));
                $item['end_date'] = date('d.m.Y', strtotime($item['end_date']));
            }

        }

        $type_list = $model->getTypeList();

        $inPage->setTitle(($item['id'] ? "Редактировать афишу":"Добавить афишу"));
        $inPage->addPathway(($item['id'] ? "Редактировать афишу":"Добавить афишу"), ($item['id'] ? "/poster/edit".$item['id']:"/poster/add"));

        cmsPage::initTemplate('components', 'com_poster_add_item')->
            assign('item', $item)->
            assign('type_list', $type_list)->
            display('com_poster_add_item.tpl');
    }

//  ***************************************************************************************************************************************
//  ***************************************************************************************************************************************
//  ***************************************************************************************************************************************
//    schedule
    if($do=='add_schedule')
    {
        if(!$inUser->id)
            $inCore::error404();

        $item = $model->getItem(false, $seolink);
        if(!$item) cmsCore::error404();

        $inPage->addHeadJS('includes/jqueryui/jquery-ui.min.js');
        $inPage->addHeadJS('includes/jqueryui/jquery.ui.datepicker-ru.min.js');
        $inPage->addHeadJS('includes/jqueryui/init-ui.js');
        $inPage->addHeadCSS('includes/jqueryui/css/smoothness/jquery-ui.min.css');

        $schedule = $inCore->request('schedule', 'array');

        if($schedule)
            if($model->validateSchedule($schedule))
            {
                $schedule['item_id'] = $item['id'];
                $schedule = $model->saveSchedule($schedule);

                $type = $model->getType($item['type_id']);
                $inCore->redirect('/poster/'.$type['seo_link'].'/'.$item['seo_link']);
            }

        if($id)
        {
            $schedule = $model->getSchedule($id);
            if(!$schedule)
                cmsCore::error404();
            else
            {
                $schedule['start_date'] = date('d.m.Y', strtotime($schedule['start_date']));
                $schedule['end_date'] = date('d.m.Y', strtotime($schedule['end_date']));
            }
        }

        $place_list = $model->getPlaceList();

        $inPage->setTitle(($schedule['id'] ? "Редактировать график":"Добавить график"));

        cmsPage::initTemplate('components', 'com_poster_add_schedule')->
            assign('item', $item)->
            assign('schedule', $schedule)->
            assign('place_list', $place_list)->
            display('com_poster_add_schedule.tpl');
    }

//  ***************************************************************************************************************************************
//  ***************************************************************************************************************************************
//  ***************************************************************************************************************************************
    //place
    if($do=='map')
    {
        $inDB->orderBy('p.id', 'DESC');
        $inDB->where = 'p.is_visible = 1';

        $items = $model->getPlacesForMap();

        $inPage->setTitle('Места на карте');
        $inPage->addPathway('Места', '/poster/place ');
        $inPage->addPathway('Места на карте', '/poster/place/map');

        $inPage->setDescription('Места проведения мероприятий на карте');
        $inPage->setKeywords('мероприятия на карте');

        $cities = $model->getPlaceCity();
        $types = $model->getPlaceTypeList();

        cmsPage::initTemplate('components', 'com_poster_place_map')->
            assign('items', $items)->
            assign('cities', $cities)->
            assign('types', $types)->
            display('com_poster_place_map.tpl');
    }

    if($do=='places')
    {
        $inDB->orderBy('p.id', 'DESC');
        $inDB->where = 'p.is_visible = 1';
        $inDB->limitPage($page, $_CFG['perpage']);

        $filter = $inCore->request('filter', 'array');

        if($filter)
        {
            if($filter['city'])
                $inDB->where .= " AND p.city = '".$filter['city']."'";

            if($filter['type'])
                $inDB->where .= " AND p.type_id = '".$filter['type']."'";
        }

        $total  = $model->getPlacesTotal();
        $items = $model->getPlaces();
        $cities = $model->getPlaceCity();
        $types = $model->getPlaceTypeList();

        $inPage->setTitle('Места');
        $inPage->addPathway('Места', '/poster/place');
        $inPage->setDescription('Список мест');
        $inPage->setKeywords('список, места');

        cmsPage::initTemplate('components', 'com_poster_places')->
            assign('items', $items)->
            assign('filter', $filter)->
            assign('cities', $cities)->
            assign('types', $types)->
            assign('pagination', cmsPage::getPagebar($total, $page, $_CFG['perpage'], ('/poster/place/page-%page%')))->
            display('com_poster_places.tpl');
    }

    if($do=='view_place')
    {
        $item = $model->getPlace(false, $seolink);
        if(!$item) cmsCore::error404();

        $inPage->setTitle($item['title']);
        $inPage->addPathway('Места', '/poster/place');
        $inPage->addPathway($item['title'], '/poster/place/'.$item['seo_link']);
        $inPage->setDescription($item['meta_key']);
        $inPage->setKeywords($item['meta_desc']);

        cmsPage::initTemplate('components', 'com_poster_view_place')->
            assign('item', $item)->
            assign('is_user', $inUser->id)->
            assign('is_admin', $inUser->is_admin)->
            display('com_poster_view_place.tpl');

        cmsCore::includeComments();
        comments('place', $item['id']);
    }

    if($do=='add_place')
    {
        if(!$inUser->id)
            $inCore::error404();

        $inPage->addHeadJS('includes/jquery/multifile/jquery.multifile.js');
        $place = $inCore->request('item', 'array');

        if($place)
            if($model->validatePlace($place))
            {
                $place = $model->savePlace($place);
            }

        if($id)
            $place = $model->getPlace($id);

        $type_list = $model->getPlaceTypeList();

        $inPage->setTitle(($place['id'] ? "Редактировать место":"Добавить место"));

        cmsPage::initTemplate('components', 'com_poster_add_place')->
            assign('item', $place)->
            assign('type_list', $type_list)->
            display('com_poster_add_place.tpl');
    }

//  ***************************************************************************************************************************************
//  ***************************************************************************************************************************************
//  ***************************************************************************************************************************************
    /*
     * типы
     */
    if($do=='add_type')
    {
        if(!$inUser->is_admin)
            $inCore::error404();

        $type = $inCore->request('type', 'array');

        if($type)
            if($model->validateType($type))
            {
                $type = $model->saveType($type);
            }

        if($id)
            $type = $model->getType($id);

        $inPage->setTitle(($type['id'] ? "Редактировать тип":"Добавить тип"));

        cmsPage::initTemplate('components', 'com_poster_add_type')->
            assign('type', $type)->
            display('com_poster_add_type.tpl');
    }

    if($do=='add_place_type')
    {
        if(!$inUser->is_admin)
            $inCore::error404();

        $type = $inCore->request('type', 'array');

        if($type)
            if($model->validateType($type))
            {
                $type = $model->savePlaceType($type);
            }

        if($id)
            $type = $model->getPlaceType($id);

        $inPage->setTitle(($type['id'] ? "Редактировать тип мест":"Добавить тип мест"));

        $type_list = $model->getPlaceTypeList();

        cmsPage::initTemplate('components', 'com_poster_add_place_type')->
            assign('type', $type)->
            assign('type_list', $type_list)->
            display('com_poster_add_place_type.tpl');
    }

//  ***************************************************************************************************************************************
//  ***************************************************************************************************************************************
//  ***************************************************************************************************************************************
    /*
     * rating
     */
    if ($do == 'rate_item'){
        $item_id    = $inCore->request('item_id', 'int');
        $points     = $inCore->request('rate', 'int');
        $user_id    = $inUser->id;
        $model->rateItem($item_id, $user_id, $points, 'item');
        $inCore->redirectBack();
    }

    if ($do == 'rate_place'){
        $item_id    = $inCore->request('item_id', 'int');
        $points     = $inCore->request('rate', 'int');
        $user_id    = $inUser->id;
        $model->rateItem($item_id, $user_id, $points, 'place');
        $inCore->redirectBack();
    }
//  ***************************************************************************************************************************************
//  ***************************************************************************************************************************************
//  ***************************************************************************************************************************************
    /*
     * calendar
     */
    if($do=='calendar')
    {
        $inPage->addHeadJS('components/poster/js/bic_calendar.min.js');
        $inPage->addHeadJS('components/poster/js/bootstrap.min.js');

        $inPage->setTitle('Календарь мероприятий');
        $inPage->addPathway('Календарь мероприятий', '/poster/calendar');
        $inPage->setDescription('Календарь мероприятий');
        $inPage->setKeywords('Календарь мероприятий');

        $type = false;
        cmsPage::initTemplate('components', 'com_poster_calendar')->
            assign('type', $type)->
            display('com_poster_calendar.tpl');
    }


//  ***************************************************************************************************************************************
//  ***************************************************************************************************************************************
//  ***************************************************************************************************************************************
    /*
     * video
     */
    if($do=='add_video')
    {
        if(!$inUser->id)
            $inCore::error404();

        $item = $model->getItem(false, $seolink);
        if(!$item) cmsCore::error404();

        $video = $inCore->request('video', 'array');

        if($video)
            if($model->validateVideo($video))
            {
                $video['item_id'] = $item['id'];
                $video = $model->saveVideo($video);
                $type = $model->getType($item['type_id']);
                $inCore->redirect('/poster/'.$type['seo_link'].'/'.$item['seo_link']);
            }

        if($id)
        {
            $video = $model->getVideo($id);
            if(!$video)
                cmsCore::error404();
        }

        $inPage->setTitle(($video['id'] ? "Редактировать видео":"Добавить видео"));

        cmsPage::initTemplate('components', 'com_poster_add_video')->
            assign('item', $item)->
            assign('video', $video)->
            display('com_poster_add_video.tpl');
    }
}
