{add_js file='components/poster/js/rating/jquery.rating.js'}
{add_css file='components/poster/js/rating/jquery.rating.css'}

<h1 class="con_heading"> {if $type.title}{$type.title}{else}Афиша{/if}</h1>
{if $type_list}
    <ul class="type-list">
        {foreach key=tid item=tp from=$type_list}
            <li {if $type.id==$tp.id}class="active"{/if}>
                <a href="/poster/{$tp.seo_link}">{$tp.title} <span>({$tp.count})</span></a>
            </li>
        {/foreach}
        {if $type}
            <li>
                <a href="/poster">Все</a>
            </li>
        {/if}
    </ul>
    <div class="clear"></div>
{/if}

<div class="poster-filter">
    Фильтр событий

    <form method="post">
        <table>
            <tr>
                <td>
                    <label for="">Дата показа</label>
                    <input type="text" value="{$filter.date}" name="filter[date]" id="pubdate"/>
                </td>
                <td>
                    <label for="">Тип</label>
                    <select name="filter[type_id]" id="">
                        <option value="">Все</option>
                        {foreach key=tid item=type from=$type_list}
                            <option value="{$type.id}" {if $filter.type_id==$type.id}selected="selected"{/if}>{$type.title}</option>
                        {/foreach}
                    </select>
                </td>
                <td>
                    <label for="">Только премьеры</label>
                    <input type="checkbox" name="filter[is_premier]" {if $filter.is_premier}checked="checked"{/if}/>
                </td>
                <td>
                    <label for="">Возраст</label>
                    <input type="text" value="{$filter.age}" name="filter[age]" style="width: 50px"/>
                </td>
            </tr>
        </table>
        <div>
            <input type="submit" value="Поиск"/>
            <input type="submit" value="Сбросить фильтр" name="filter_reset"/>
        </div>

    </form>
    {*{if $type}*}
        {*{$letters}*}
    {*{/if}*}
</div>

<div class="sorter">
    <form action="" method="post">
        <input type="hidden" name="sorter" id="sorter" value="id.desc"/>
        <span>Сортировка: </span>
        <a href="#"{if $sorter=='i.id DESC'} data-sort='id.asc' {elseif $sorter=='i.id ASC'} data-sort='id.desc' {else} data-sort='id.desc'{/if}>По дате добавления {if $sorter=='i.id DESC'}&darr;{/if}{if $sorter=='i.id ASC'}&uarr;{/if}</a>
        <a href="#"{if $sorter=='i.title DESC'} data-sort='title.asc' {elseif $sorter=='i.title ASC'} data-sort='title.desc'{else} data-sort='title.desc' {/if}>По названию {if $sorter=='i.title DESC'}&darr;{/if}{if $sorter=='i.title ASC'}&uarr;{/if}</a>
    </form>
    {literal}
        <script>
            $('.sorter a').click(function(){
                $('#sorter').val($(this).attr('data-sort'));
                $(this).parents('form').submit();
                return false;
            });
        </script>
    {/literal}
</div>

<div class="conf-block">
    <strong>Всего найдено: {$total}</strong>
    <span class="list-type">
        <a data-type="list" href="#" {if $type_view!='block'}class="active"{/if}>Показать списком</a>
        <a data-type="block" href="#"{if $type_view=='block'}class="active"{/if}>Показать плиткой</a>
    </span>
    <div class="clear"></div>
</div>

<div class="poster-items">
{if $items}
    {if $type_view=="block"}
        <div class="clearfix mosaicflow">
            {foreach key=tid item=item from=$items}
                <div class="mosaicflow__item">
                    <img src="{$item.image}" alt="{$item.title}" width="150"/>
                    <p><a href="/poster/{$item.type_seo_link}/{$item.seo_link}">{$item.title}</a></p>
                    {if $item.is_premier}
                        <div class="is_premier">Премьера</div>
                    {/if}
                </div>
            {/foreach}
            <div class="clear"></div>
        </div>
    {else}
        {foreach key=tid item=item from=$items}
            <div class="poster-item">
                <table>
                    <tr>
                        {if $item.image}
                            <td class="item-image">
                                <a href="/poster/{$item.type_seo_link}/{$item.seo_link}"><img src="{$item.image}" alt="{$item.title}"/></a>
                                {if $item.is_premier}
                                <div class="is_premier">Премьера</div>
                                {/if}
                            </td>
                        {/if}
                        <td class="item-info">
                            <h3><a href="/poster/{$item.type_seo_link}/{$item.seo_link}">{$item.title}</a></h3>

                            <div class="item-genre">{if $item.info_genre}{$item.info_genre}{if $item.info_year}, {/if}{/if}{if $item.info_year}{$item.info_year}{/if}</div>

                            <div class="item-desc">
                                {$item.description|truncate:350}
                            </div>
                            {if $item.schedules}
                                <div class="item-schedules">
                                    <div><strong>Сегодня показывают:</strong></div>
                                    <table>
                                        <tr class="thead">
                                            <td>Место показу</td>
                                            <td>Дата показа</td>
                                            <td>Сеансы</td>
                                            <td>Цена от</td>
                                            <td>Город</td>
                                        </tr>
                                        {foreach key=tid item=schedule from=$item.schedules}
                                            <tr>
                                                <td>
                                                    <a href="/poster/place/{$schedule.seo_link}">{$schedule.title}</a>
                                                </td>
                                                <td>
                                                    с {$schedule.start_date|date_format:"%d.%m.%Y"} по {$schedule.end_date|date_format:"%d.%m.%Y"}
                                                </td>
                                                <td>
                                                    {$schedule.schedule}
                                                </td>
                                                <td>
                                                    {$schedule.price}
                                                </td>
                                                <td>
                                                    {$schedule.city}
                                                </td>
                                            </tr>
                                        {/foreach}
                                    </table>
                                </div>
                            {/if}

                            <div class="rating">
                                <form action="/poster/rate" method="POST">
                                    {section name=rate start=1 loop=6 step=1}
                                        <input name="rate" type="radio" class="star" value="{$smarty.section.rate.index}" {if $item.rating>=$smarty.section.rate.index}checked="checked"{/if} {if !$is_user || $item.user_voted}disabled="disabled"{/if} />
                                    {/section}
                                </form>
                            </div>
                        </td>
                    </tr>
                </table>
                <div class="item-char">
                    <span><strong>Просмотров: </strong>{$item.view}</span>
                    <span><strong>Комментариев: </strong>{$item.comments}</span>
                    <span><strong>Пойдут: </strong>{$item.visited}</span>
                    {if $item.info_age}<span class="age">{$item.info_age}+</span>{/if}
                </div>
            </div>
        {/foreach}
    {/if}

    <script type="text/javascript">
        {literal}
        $('.star').rating({
            callback: function(value, link){
                this.form.submit();
            }
        });
        $(document).on('click', '.list-type a', function(){
            var type = $(this).attr('data-type');

            $.ajax({
                type: 'POST',
                url: '/components/poster/ajax/list_type.php',
                data: {type: type},
                success: function(data)
                {
                    location.reload();
                }
            });

            return false;
        });
        {/literal}
    </script>
{else}
    Нет данных
{/if}
</div>
{$pagination}