{add_js file='includes/jquery/tabs/jquery.ui.min.js'}
{add_css file='includes/jquery/tabs/tabs.css'}

{literal}
    <script type="text/javascript">
        $(function(){$(".uitabs").tabs();});
    </script>
{/literal}

<h1 class="con_heading">{$item.title}</h1>

<div class="view-item">
    {if $is_admin}
        <ul id="admin-menu">
            <li><a href="/poster/edit{$item.id}">Редактировать</a></li>
            <li><a href="/poster/{$type.seo_link}/{$item.seo_link}/add_schedule">Добавить расписание</a></li>
            <li><a href="/poster/{$type.seo_link}/{$item.seo_link}/add_video">Добавить видео</a></li>
            <li><a href="/poster/delete{$item.id}">Удалить</a></li>
        </ul>
    {/if}

    {add_js file='components/poster/js/rating/jquery.MetaData.js'}
    {add_js file='components/poster/js/rating/jquery.rating.js'}
    {add_css file='components/poster/js/rating/jquery.rating.css'}

    <div class="item_rating">
        <form action="/poster/rate" method="POST">
            <input type="hidden" name="item_id" value="{$item.id}" />
            {section name=rate start=1 loop=6 step=1}
                <input name="rate" type="radio" class="star" value="{$smarty.section.rate.index}" {if $item.rating>=$smarty.section.rate.index}checked="checked"{/if} {if !$is_user || $item.user_voted}disabled="disabled"{/if} />
            {/section}
        </form>
    </div>

    {if $item.images||$item.image}
        <div id="slider">
            <a href="/images/poster/medium/poster_item_{$item.id}.jpg" class="lightbox-enabled" rel="lightbox-galery" title="{$item.title|escape:'html'}" style="background: url('/images/poster/small/poster_item_{$item.id}.jpg') center center no-repeat"></a>
            {foreach key=tid item=image from=$item.images}
                <a href="/images/poster/medium/{$image}" class="lightbox-enabled" rel="lightbox-galery" title="{$item.title|escape:'html'}" style="background: url('/images/poster/small/{$image}') center center no-repeat"></a>
            {/foreach}
        </div>
    {/if}

    <div class="item-info">
        {if $item.info_year}<span><strong>Год: </strong>{$item.info_year}</span>{/if}
        {if $item.info_country}<span><strong>Страна: </strong>{$item.info_country}</span>{/if}
        {if $item.info_age}<span class="age"><strong>{$item.info_age}+ </strong></span>{/if}
        {if $item.info_roles}<div><strong>В ролях: </strong>{$item.info_roles}</div>{/if}
    </div>

    <div class="item-desc">
        {$item.description}
    </div>

    <div>
        {if $formsdata}
            <table width="100%" cellspacing="0" cellpadding="2" style="border-top:1px solid #C3D6DF; margin:5px 0 0 0">
                {foreach key=tid item=form from=$formsdata}
                    {if $form.field}
                        <tr>
                            <td valign="top" width="140px">
                                <strong>{$form.title}:</strong>
                            </td>
                            <td valign="top">
                                {$form.field}
                            </td>
                        </tr>
                    {/if}
                {/foreach}
            </table>
        {/if}
    </div>

    {if $schedules}
        <div class="item-schedules">
            <div class="sc-title">Сегодня показывают:</div>
            <table>
                <tr class="thead">
                    <td>Место показу</td>
                    <td>Сеансы</td>
                    <td>Цена от</td>
                    <td>Город</td>
                </tr>
                {foreach key=tid item=schedule from=$schedules}
                    <tr>
                        <td>
                            <a href="/poster/place/{$schedule.seo_link}">{$schedule.title}</a>
                        </td>
                        <td>
                            {$schedule.schedule}
                        </td>
                        <td>
                            {$schedule.price}
                        </td>
                        <td>
                            {$schedule.city}
                        </td>
                    </tr>
                {/foreach}
            </table>
        </div>
    {/if}
    {if $all_schedules}
        <div class="item-schedules">
            <div class="sc-title">Полный график показу:</div>
            <table cellpadding="10" width="100%">
                <tr class="thead">
                    <td>Место показу</td>
                    <td>Сеансы</td>
                    <td>Цена от</td>
                    <td>Дата показа</td>
                    <td>Город</td>
                </tr>
                {foreach key=tid item=schedule from=$all_schedules}
                    <tr>
                        <td>
                            <a href="/poster/place/{$schedule.seo_link}">{$schedule.title}</a>
                        </td>
                        <td>
                            {$schedule.schedule}
                        </td>
                        <td>
                            {$schedule.price}
                        </td>
                        <td>
                            <div>с {$schedule.start_date|date_format:"%d.%m.%Y"} по {$schedule.end_date|date_format:"%d.%m.%Y"}</div>
                        </td>
                        <td>
                            {$schedule.city}
                        </td>
                    </tr>
                {/foreach}
            </table>
        </div>
    {/if}


    <table>
        <tr>
            <td valign="top">
                <hr/>
                <div><strong>Пойдут: </strong>{$item.visited}</div>
                {if $is_user}
                    {if $visited}
                        <span>Я пойду!</span>
                    {else}
                        <a id="visit" href="#" data-id="{$item.id}">Я пойду</a>
                    {/if}
                {/if}
                <hr/>
            </td>
        </tr>
    </table>

    <div>
        <div class="uitabs">
            <ul id="tabs">
                {if $item.review}<li><a href="#review"><span>Обзор</span></a></li>{/if}
                {if $item.videos}<li><a href="#videos"><span>Видео</span></a></li>{/if}
                {if $visitors}<li><a href="#visitors"><span>Кто пойдет</span></a></li>{/if}
            </ul>
            {if $item.review}
                <div id="review">
                    {$item.review}
                </div>
            {/if}

            {if $item.videos}
                <div id="videos">
                    {foreach key=tid item=video from=$item.videos}
                        <div>
                            <iframe width="300" height="180" src="http://www.youtube.com/embed/{$video.code}?>" frameborder="0" allowfullscreen></iframe>
                        </div>
                    {/foreach}

                </div>
            {/if}

            {if $visitors}
                <div id="visitors">
                    {foreach key=tid item=visitor from=$visitors}
                        <div>
                            <a href="/users/{$visitor.login}"><img src="{$visitor.avatar}" alt=""/></a>
                            <div>{$visitor.nickname}</div>

                        </div>
                    {/foreach}
                </div>
            {/if}

        </div>
    </div>
</div>

<script type="text/javascript">
    {literal}
    $('.star').rating({
        callback: function(value, link){
            this.form.submit();
        }
    });
    $('#visit').click(function(){
        var id = $(this).attr('data-id');
        $.ajax({
            type: 'POST',
            url: '/components/poster/ajax/visited.php',
            data: {id: id},
            success: function(data)
            {
                if(data=='ok')
                    $("<span>Я пойду!</span>").replaceAll($('#visit'));
            }
        });

        return false;
    });

    $(document).ready(function() {
        $('#slider').carouFredSel({
            circular: true,         // Determines whether the carousel should be circular.
            responsive: true,
            width: 100,
            align: "center",
            items               : 6,
            scroll : {
                easing          : "cubic",
                items           : 1,
                duration        : 700,
                pauseOnHover    : true
            }
        });
    });

    {/literal}
</script>